コンテンツにスキップ
ShopentlyLearn

商品 · 削除 · 下書き

この操作は廃止され、データを変更せずに409を返します。各デジタルファイルのアクセスは、対象者の選択で個別に設定してください。

DELETE/api/v1/products/{product_id}/file-releases/{release_id}

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/products/example/file-releases/00000000-0000-4000-8000-000000000001?expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-delete_draft_api_v1_products__product_id__file_releases__release_id__delete'

レスポンス

{
  "error": {
    "code": "resource.state_conflict",
    "fields": null,
    "message": "The current resource state does not allow this operation."
  },
  "meta": {
    "request_id": "example-request"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
キーの権限
商品ファイルの管理 · デジタル商品catalog.product_file:write_digital